#!/bin/bash

#checks for running postgres process for _dayliteserver; if none, checks for and deletes pid file if necessary

if [ -e /Library/Application\ Support/Daylite\ Server/Storage.dlsdb/Data/8_3/postmaster.pid ]; then
  ps -xw -u _dayliteserver | grep -v 'grep' | grep -e 'MCPostgresPersistence.*postgres.*'
  if [ $? -eq 1 ]; then
    echo `date`
    rm /Library/Application\ Support/Daylite\ Server/Storage.dlsdb/Data/8_3/postmaster.pid
    echo "Found Daylite Server database PID file on startup but no running processes - deleting."
  fi
fi

# prevent respawn
sleep 11

exit 0
